<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChecklistDetail extends Model
{
    use HasFactory;
    protected $fillable = [
      'id_checklist',  'title', 'description','display_sequence','id_medialibrary'
    ];

    public function listdetail(){
        return $this->belongsTo('App\Models\UserChecklisttransaction','id','checklist_id');
    }

    public function mediadetail(){
        return $this->belongsTo('App\Models\Pack','id_medialibrary');
    }
}
